---
type: api
title: Run a connector
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-post-actions-action-id-execute
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-post-actions-action-id-execute
products:
  - Kibana
---

# Run a connector

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/actions/action/{id}/_execute`
- `POST` `/s/{space_id}/api/actions/action/{id}/_execute`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  An identifier for the connector.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

## Request Body

`application/json`

- `params` (map string to object) — required

## Response

Indicates a successful call.

`application/json`

- `config` (map string to object)
- `connector_type_id` (string)
  The connector type identifier.
- `id` (string)
  The identifier for the connector.
- `is_deprecated` (boolean)
  Indicates whether the connector is deprecated.
- `is_missing_secrets` (boolean)
  Indicates whether the connector is missing secrets.
- `is_preconfigured` (boolean)
  Indicates whether the connector is preconfigured. If true, the `config` and `is_missing_secrets` properties are omitted from the response.
- `is_system_action` (boolean)
  Indicates whether the connector is used for system actions.
- `name` (string)
   The name of the rule.
## Code Examples

#### Console

```console
POST /api/actions/action/{id}/_execute
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/actions/action/{id}/_execute" \
  -H "kbn-xsrf: true"
```

